LineweightDisplay Example |
Using Programming Languages other than VBA
Sub Example_LineweightDisplay() ' This example reads and modifies the preference value that controls ' whether symbol names may include extended character sets, or more ' than 31 characters. ' ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadDatabasePreferences Dim originalValue As Variant, newValue As Variant ' Get the user preferences object Set ACADPref = ThisDrawing.preferences ' Read and display the original value originalValue = ACADPref.LineWeightDisplay MsgBox "The LineweightDisplay preference is set to: " & originalValue ' Modify the LineweightDisplay preference by toggling the value ACADPref.LineWeightDisplay = Not (ACADPref.LineWeightDisplay) newValue = ACADPref.LineWeightDisplay MsgBox "The LineweightDisplay preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.LineWeightDisplay = originalValue MsgBox "The LineweightDisplay preference was reset back to: " & originalValue End Sub
Comments? |